/*
  
  Une trajectoire de la marche aleatoire biaisee sur {0,...,n}.
  
*/



#include "markov.hpp"
#include <iostream>

const int n = 100; // Taille de l'espace d'etats
const double p = 1./3; // Probabilite d'aller a droite
const int T = 300; // Nombre d'iterations



int main(void)
{
  markov<n+1> X(n/2);
  //On remplit la matrice de transition
  for (int i=0; i<=n; i++)
	{
	  X.modif_coeff(i, i+1, p);
	  X.modif_coeff(i+1, i, 1-p);
	}
  X.modif_coeff(0, 0, 1-p);
  X.modif_coeff(n-1, n-1, 1-p);
  
  // On itere la chaine, en affichant la position a chaque etape.
  for (int t=0; t<=T; t++)
	{
	  std::cout << t << " " << X.pos() << std::endl;
	  ++X;
	}
  
  return 0;
}
